Bug 171153 - clustat withholds service information if run on mutliple member nodes at the same time
clustat withholds service information if run on mutliple member nodes at the ...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 163168
  Show dependency treegraph
 
Reported: 2005-10-18 15:17 EDT by Corey Marthaler
Modified: 2009-04-16 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0173
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 15:22:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Increase msg_open timeout for clustat (556 bytes, patch)
2005-12-06 21:17 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2005-10-18 15:17:34 EDT
Description of problem:
Us QA guys love the "send input to all sessions" tool for cluster management.

# run on only one node
[root@link-10 ~]# clustat
Member Status: Quorate, Group Member

  Member Name                              State      ID
  ------ ----                              -----      --
  link-12                                  Online     0xffff0000a2540f0a
  link-10                                  Online     0xffff0000a0540f0a
  link-11                                  Online     0xffff0000a1540f0a

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  10.15.84.156         link-11                        started


# run on multiple nodes
[root@link-11 ~]# clustat
Member Status: Quorate, Group Member

  Member Name                              State      ID
  ------ ----                              -----      --
  link-12                                  Online     0xffff0000a2540f0a
  link-10                                  Online     0xffff0000a0540f0a
  link-11                                  Online     0xffff0000a1540f0a



Version-Release number of selected component (if applicable):
rgmanager-1.9.38-0

How reproducible:
almost every time
Comment 2 Lon Hohberger 2005-11-29 17:07:26 EST
ok, so, the easy thing to note is that clustat has a 2 second connect timeout
but a 10-second-per-service-status-message receive timeout.

... kind of disparate.
Comment 3 Lon Hohberger 2005-12-06 13:50:14 EST
Fixes in CVS ready for QA.

Branches: head, STABLE, RHEL4
Comment 4 Lon Hohberger 2005-12-06 21:17:53 EST
Created attachment 121957 [details]
Increase msg_open timeout for clustat
Comment 5 Red Hat Bugzilla 2006-01-06 15:22:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0173.html

Note You need to log in before you can comment on or make changes to this bug.